`lqr_carver_cancel`
Prev | Carver objects | Next

## Name

lqr_carver_cancel — cancel ongoing operations on a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_carver_cancel(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_cancel` can be used to cancel an ongoing operation which is currently being performed on the the `LqrCarver` object pointed to by `carver`. It must be used asynchronouly, from within an independent thread.

If an operation is in fact cancelled by this function, the function which was performing the operation will return the value `LQR_USRCANCEL`, and so will do any other operation successively called on the same `LqrCarver` object whose return type is `LqrRetVal`; otherwise it will have no effect.

Whenever a function returns `LQR_USRCANCEL`, it means that the `LqrCarver` object is in an inconsistent state, and, since there is currently no way to recover from this situation, any further operation on that object must be avoided, and it must be destroyed.

This function will fail if invoked over attached `LqrCarver` objects.

## Return value

The return value follows the Liquid Rescale library signalling system. However, it can be called multiple times, so it will never return `LQR_USRCANCEL` itself.

## See also

LqrRetVal(3), `lqr_carver_resize`(3), `lqr_carver_flatten`(3)

Prev | Up | Next
`lqr_carver_flatten` | Home | `lqr_carver_scan_reset`